---
search:
  tags:
    - Smart Listings
    - PUT
seo:
  description: >-
    Updates an existing smart listing's… Reference for the PUT
    /api/v1/{team_slug}/{app_slug}/smart-listings/{listing_id} endpoint in the
    Management API.
sidebar:
  label: Update a smart listing
  badge: PUT
title: Update a smart listing
type: openapi-operation
---
Updates an existing smart listing's configuration and rules

`PUT /api/v1/{team_slug}/{app_slug}/smart-listings/{listing_id}`

**Request body** (`application/json`, required)

smart-listing configuration

- `rules` (internal_pkg_webserver_v1.ListingRuleRequest[], required)
- `slug` (string, required)

Request body example:

```json
{
  "rules": [
    {
      "operator": "equal",
      "target": "stock",
      "target_id": "string",
      "value_float": 0,
      "value_list": [
        "string"
      ],
      "value_string": "string"
    }
  ],
  "slug": "string"
}
```

**Responses**

- `200` — smart-listing updated successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `404` — Could not find smart-listing to update
- `422` — Invalid request and not parsable by backend
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "created_at": "string",
    "id": "string",
    "rules": [
      {
        "id": "string",
        "operator": "less-than",
        "target": "stock",
        "target_id": "string",
        "value_float": 0,
        "value_list": [
          "string"
        ],
        "value_string": "string"
      }
    ],
    "slug": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
